Subject: Re: [PATCH RFC 0/5] Introduce git-blame-tree(1) command

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 May 2025 09:39:42 -0700

Patrick Steinhardt <[email-masked]> writes:

> Curious. Isn't it exactly the same what git-blame(1) does though? Taken
> the textual representation of a tree object, we figure out when each of
> the lines has last been changed. That to me sounds like exactly the same
> thing as git-blame(1), but just for trees instead of for blobs.

That's mechanical worldview from the viewpoint of those who know the
internal representation and workings of Git, I would have to say.

As an end-user, I view "where does the body of this function came
from" and "when did I touch this file the last time" quite different
and unrelated kind of queries.